<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>JR1.10 Current Weather App UI (1/2)</title>

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <!-- nhúng thư viện awsome font  -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">
    <!-- datime picker  -->
   
  
</head>
<style>
    .btn {
  padding: .55rem 1.5rem .45rem;
}
    .aqua{
        color: rgb(12, 197, 172);
    }
</style>
<body>
       <!-- creat Navarbar  -->
<div class="pos-f-t m-10">
    
    <nav class="navbar-light bg-light">

        <div class="row form-group">
            
               <div class="col-6 text-center">
                   
                       <a class="nav-link aqua" href="#">Weather App <span class="sr-only">(current)</span></a>
                     
               </div>

               <div class="col-6  text-center">
                   
                   <div class="row form-group">
                    <div class="col text-right">
                        <a class="nav-link aqua" href="#">Current</a>
                    </div>
                    <div class="col text-left">
                        <a class="nav-link aqua" href="#">Current</a>
                    </div>
                       
                   </div>
                
                  
                     
               </div>

              
            
        </div>
        
    </nav>
</div>
  <!-- end navarbar  -->
  <!-- header  -->
 <header>
    <div class="container bg-primary text-center" style="height: 100px;">
        
            <h1 > Get Weather Forrest</h1>
        
    </div>
    
 </header>
  <!-- header  -->
  <!-- content  -->
 <section>
    <div class="container text-center">
        <h3 class="aqua"> Enter your City Name</h3>
       
        <div class="row justify-content-md-center">
            <div class="col col-lg-2">
             <input class="form-control" id="inp-city" placeholder="your city name">
            </div>
            <div class="col-md-auto">
              <input class="form-control" id="inp-date" type="date">
            </div>
            <div class="col col-lg-2">
                <button class="btn btn-primary" id="btn-search"> Search City</button>
            </div>
          </div>
        </div>
    </div>
    <div class="text-center d-flex container">
        <table class="table table-hover table-striped table-primary" id="table-weather">
            <thead>
                <tr>
                  <th scope="col">Next day</th>
                  <th scope="col">Icont</th>
                  <th scope="col">Weather</th>
                  <th scope="col">Description</th>
                  <th scope="col">morning temperature</th>
                  <th scope="col">Night temperature</th>
                  <th scope="col">Min temperature</th>
                  <th scope="col">Max temperature</th>
                  <th scope="col">Pressure</th>
                  <th scope="col">Humidity</th>
                  <th scope="col">WindSpeed</th>
                  <th scope="col">Wind direction</th>
                </tr>
              </thead>
        </table>

        <!-- datetime picker  -->
       
        <!-- date time picker  -->
    </div>
 </section>
 <!-- content  -->

 <footer class="bg-light text-center text-lg-start">
    <!-- Copyright -->
    <div class="text-center p-3 bg-primary" >
        Copyright © Weather App
      <a class="text-dark" href="#"></a>
    </div>
    <!-- Copyright -->
  </footer>
</body>
<script>
    $(document).ready(function(){
       $("#btn-search").on("click",function(){
            console.log("bắt đầu tìm kiếm");
            console.log($("#inp-city").val());
            console.log( $("#inp-date").val());
            var vfullday = $("#inp-date").val();
            //lấy ngày đã chọn
           var vDayChoose =vfullday.substr(8,9);
           console.log(vDayChoose);
           //lấy ngày hiện tại
            var vdate = new Date();
           var vCurrentDay = vdate.getDate();
           //lấy ngày dự báo
           var vDaysWeathers = vDayChoose - vCurrentDay;
           console.log(vDaysWeathers);
           if(!validate(vDaysWeathers)){return}

            getForecast($("#inp-city").val(),vDaysWeathers);
       })
        //kiemr tra
        function validate(paraDaysWheathers){
            if($("#inp-city").val() == "" ||  $("#inp-date").val() == ""){
                alert("chưa chọn ngày hoặc chưa điền City");
                return false;
            }
            if(paraDaysWheathers < 0){
                alert("ngày dự báo phải lớn hơn ngày hiện tại");
                return false;
            }
            return true;
        }
        function getForecast(paraCity,paraDays) {
        city = "jakarta";
        // var days = 10;
        // var city = paraCity;
        var days = paraDays;

        if (city != '' && days != '') {
            $.ajax({
                url: 'http://api.openweathermap.org/data/2.5/forecast/daily?q=' + city + "&units=metric" +
                    "&cnt=" + days + "&APPID=c10bb3bd22f90d636baa008b1529ee25",
                type: "GET",
                dataType: "json",
                success: function (data) {
                    var vTableBody = $("<tbody>").appendTo($("#table-weather"));
                    
                    for (var i = 0; i < data.list.length; i++) {
                        //tạo dòng
                        var vRow = $("<tr>").appendTo(vTableBody);
                        //tạo cột
                        $("<td>",{text: i+ 1}).appendTo(vRow); 
                        var icon = "http://openweathermap.org/img/w/" + data.list[i].weather[0].icon + ".png";
                        //tạo cột
                       // $("<td>",{text: "http://openweathermap.org/img/w/" + data.list[i].weather[0].icon + ".png"}).appendTo(vRow); 
                         //tạo cột
                         var vIcon = $("<td>").appendTo(vRow);
                            $("<img>",{
                                src: "http://openweathermap.org/img/w/" + data.list[i].weather[0].icon + ".png",

                             }).css("width","40px").appendTo(vIcon);
                        var weather = data.list[i].weather[0].main;
                         //tạo cột
                         $("<td>",{text: data.list[i].weather[0].main}).appendTo(vRow); 
                           
                        var description = data.list[i].weather[0].description;
                         //tạo cột
                         $("<td>",{text: data.list[i].weather[0].description}).appendTo(vRow); 
                        var morning_temperature = data.list[i].temp.morn;
                         //tạo cột
                         $("<td>",{text: data.list[i].temp.morn}).appendTo(vRow); 
                        var night_temperature = data.list[i].temp.night;
                         //tạo cột
                         $("<td>",{text: data.list[i].temp.night}).appendTo(vRow); 
                        var min_temperature = data.list[i].temp.min;
                         //tạo cột
                         $("<td>",{text: data.list[i].temp.min}).appendTo(vRow); 
                        var max_temperature = data.list[i].temp.max;
                         //tạo cột
                         $("<td>",{text: data.list[i].temp.max}).appendTo(vRow); 
                        var pressure = data.list[i].pressure;
                         //tạo cột
                         $("<td>",{text: data.list[i].pressure}).appendTo(vRow); 
                        var humidity = data.list[i].humidity;
                         //tạo cột
                         $("<td>",{text: data.list[i].humidity}).appendTo(vRow); 
                        var speed = data.list[i].speed;
                         //tạo cột
                         $("<td>",{text: data.list[i].speed}).appendTo(vRow); 
                        var deg = data.list[i].deg;
                         //tạo cột
                         $("<td>",{text: data.list[i].deg}).appendTo(vRow); 
                    }
                }
            });
        } else {
            console.error("Input not valid")
        }
    }
    })
</script>
</html>